<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>bluconnect</title>
    <link href="images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="scripts/sourceset_dependencies.js" async="async"></script>
<link href="styles/style.css" rel="Stylesheet">
<link href="styles/jetbrains-mono.css" rel="Stylesheet">
<link href="styles/main.css" rel="Stylesheet">
<link href="styles/prism.css" rel="Stylesheet">
<link href="styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="scripts/prism.js" async="async"></script>
<script type="text/javascript" src="scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" id="content" pageIds="bluconnect::////PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"></div>
  <div class="cover ">
    <h1 class="cover"><span><span>bluconnect</span></span></h1>
  </div>
  <h2 class="">Packages</h2>
  <div class="table"><a data-name="1647387617%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect" id="1647387617%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect/index.html">com.aptener.bluconnect</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1647387617%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1584514364%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.client" id="1584514364%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.client/index.html">com.aptener.bluconnect.client</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1584514364%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-1314818807%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.client.definition" id="-1314818807%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.client.definition/index.html">com.aptener.bluconnect.client.definition</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1314818807%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1239378746%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.client.utility" id="1239378746%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.client.utility/index.html">com.aptener.bluconnect.client.utility</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1239378746%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1045782555%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data" id="1045782555%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data/index.html">com.aptener.bluconnect.data</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1045782555%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-919685802%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.model" id="-919685802%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.model/index.html">com.aptener.bluconnect.data.model</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-919685802%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-633539068%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.model.ota" id="-633539068%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.model.ota/index.html">com.aptener.bluconnect.data.model.ota</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-633539068%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-989699344%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.file" id="-989699344%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.file/index.html">com.aptener.bluconnect.data.repository.local.file</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-989699344%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-1440643989%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.file.model" id="-1440643989%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.file.model/index.html">com.aptener.bluconnect.data.repository.local.file.model</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1440643989%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1643472271%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.room" id="1643472271%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.room/index.html">com.aptener.bluconnect.data.repository.local.room</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1643472271%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1762859751%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.room.typeConverter" id="1762859751%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.room.typeConverter/index.html">com.aptener.bluconnect.data.repository.local.room.typeConverter</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1762859751%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-978192662%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.room.vitals" id="-978192662%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.room.vitals/index.html">com.aptener.bluconnect.data.repository.local.room.vitals</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-978192662%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1703040389%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.room.voicenote" id="1703040389%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.room.voicenote/index.html">com.aptener.bluconnect.data.repository.local.room.voicenote</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1703040389%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1600730364%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.local.sharedpref" id="1600730364%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.local.sharedpref/index.html">com.aptener.bluconnect.data.repository.local.sharedpref</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1600730364%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-1477860547%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.remote.config" id="-1477860547%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.remote.config/index.html">com.aptener.bluconnect.data.repository.remote.config</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1477860547%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1120085284%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.data.repository.remote.storage" id="1120085284%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.data.repository.remote.storage/index.html">com.aptener.bluconnect.data.repository.remote.storage</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1120085284%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="1301121031%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.device" id="1301121031%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.device/index.html">com.aptener.bluconnect.device</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1301121031%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-482459075%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.devicecontrols" id="-482459075%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.devicecontrols/index.html">com.aptener.bluconnect.devicecontrols</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-482459075%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
<a data-name="-1226388030%2FPackages%2F-1410038383" anchor-label="com.aptener.bluconnect.exception" id="-1226388030%2FPackages%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
    <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
      <div>
        <div class="main-subrow ">
          <div class=""><span class="inline-flex">
              <div><a href="bluconnect/com.aptener.bluconnect.exception/index.html">com.aptener.bluconnect.exception</a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1226388030%2FPackages%2F-1410038383"></span>
                <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
              </span></span></div>
          <div class="pull-right">
            <div class="platform-tags no-gutters">
              <div class="platform-tag jvm-like">androidJvm</div>
            </div>
          </div>
        </div>
        <div></div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2024 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
